atchem Module Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Data Fields
atchem Module Reference
Collaboration diagram for atchem:

## Public Member Functions
subroutine | init_chemistry
subroutine | finalize_chemistry

## Data Fields
double precision | navo
| Avogadro constant (molecules/mol) More...
double precision | mair
| Molar mass of dry air constant (Kg/mol) More...
integer, save | ichemistry
| Choice of chemistry resolution scheme. More...
integer, save | ifilechemistry
| ifilechemistry: choice to read (=1,2,3,4, according to the scheme) or not (0) a concentration profile file More...
integer, save | isepchemistry
| isepchemistry: splitted (=1) or semi-coupled (=2, pu-sun) resolution of chemistry More...
integer, save | iphotolysis
| iphotolysis: inclusion (=1) or not (=2) of photolysis reactions More...
integer, save | nespg
| nespg: number of chemical species More...
integer, save | nrg
| nrg: number of chemical reactions More...
double precision, dimension(:), allocatable | dmmk
| molar mass of chemical species (Kg/mol) More...
double precision, dimension(:), allocatable | conv_factor_jac
| conversion factors for reaction rates jaccobian matrix More...
double precision, dimension(:), allocatable | reacnum
| kinetics constants More...
integer, dimension(:), allocatable | chempoint
| pointer to deal with different orders of chemical species More...
double precision | dtchemmax
| maximal time step for chemistry resolution More...
double precision, save | lat
| latitude and longitude in degres More...
double precision, save | lon
integer, save | impmec
| logical unit of the concentration profiles file More...
character *10, save | ficmec
| name of the concentration profiles file More...
integer, save | nbchim
| number of time steps for the concentration profiles file More...
integer, save | nbchmz
| number of altitudes for the concentration profiles file More...
integer, save | nespgi
| number of initialized chemical species in the concentration profiles file More...
integer, dimension(:), allocatable | idespgi
| indices of chemical species in the concentration profiles file More...
double precision, dimension(:), allocatable | espnum
| concentration profiles More...
double precision, dimension(:), allocatable | zproc
| altitudes of the concentration profiles More...
double precision, dimension(:), allocatable | tchem
| time steps of the concentration profiles More...
double precision, dimension(:), allocatable | xchem
| coordinates of concentration profiles More...
double precision, dimension(:), allocatable | ychem
integer, dimension(nozppm), save | iprofc
| read zone boundary conditions from profile More...

## Member Function/Subroutine Documentation

subroutine finalize_chemistry | ( |  | ) |

subroutine init_chemistry | ( |  | ) |

The documentation for this module was generated from the following file:

- src/atmo/atchem.f90